# Compile with dietlibc? (default: no)
  %bcond_with                   dietlibc

# Use alternate exec shell (default: no)
  %bcond_with                   altshell
  %global                       shell   /bin/dash


Name:    safecat
Version: 1.13
Release: 4%{?dist}
Summary: a tool to write data safely to a directory

Group: 	Applications/File
License: BSD
URL: 	http://www.jeenyus.net/linux/software/safecat.html
Source: http://www.jeenyus.net/linux/software/safecat/%{name}-%{version}.tar.gz
Patch0: safecat-buildroot.patch
Buildroot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires: perl

%if %{with dietlibc}
BuildRequires:  /usr/bin/diet
%endif
%if %{with altshell}
Requires:       %{shell}
%endif


%description
safecat implements Dan Bernstein's maildir algorithm, copying standard
input safely to a specified directory. With safecat, the user is
offered two assurances. First, if safecat returns successfully, then
all data is guaranteed to be saved in the destination directory.
Second, if a file exists in the destination directory, placed there by
safecat, then the file is guaranteed to be complete.

To use safecat, you specify a destination directory, but not a file name. 
Safecat picks the filename uniquely every time. That way many safecat 
processes (and other programs) can write to the directory simultaneously. 
If you want a particular filename, then you just rename the file after 
safecat completes. In general you should use a single, separate process to 
do things like renaming, collecting, and deleting files. You can run the 
process as a daemon, in cron jobs, or from a mail reader.


%prep
%setup -q
%patch0

# Fix DJB's errno issues...
%{__perl} -pi -e 's/^extern int errno;/#include /' *error*


%build
%if %{with dietlibc}
GCCS="diet -v -Os gcc"
%else
GCCS="gcc"
%endif

echo "$GCCS %{optflags} -DREALLY_SMALL -finline-functions -Os" > conf-cc
echo "$GCCS -s %{optflags} -DREALLY_SMALL -finline-functions -Os" > conf-ld
echo "%{_prefix}" > conf-root
make 

%if %{with altshell}
  %{__perl} -p -e 's#/bin/sh#%{shell}#' -i maildir
%endif



%install
rm -fR %{buildroot}

install -d %{buildroot}%{_mandir}
make setup check

mv -f %{buildroot}%{_prefix}/man/man1 %{buildroot}%{_mandir}/man1
rm -fR %{buildroot}%{_prefix}/man


%clean
rm -fR %{buildroot}


%files
%defattr(-,root,root)
%doc CHANGES COPYING README

%{_bindir}/*
%{_mandir}/man1/*


%changelog
* Thu Jan 10 2013 Japheth Cleaver <cleaver@terabithia.org> 1.13-4
- remove 'cat' man pages
- add dietlibc build support
- update URL

* Wed Mar 17 2010 Japheth Cleaver <jcleaver@soe.sony.com> 1.13-3
- rebuild

* Mon Aug 10 2009 Japheth Cleaver <jcleaver@soe.sony.com> 1.13-2
- rebuild on centos 5
- shell for 'maildir' script now configurable
- minor specfile tweaks

* Thu Apr 27 2006 Japheth Cleaver <cleaver@rohan.sdsu.edu> 1.13-1
- update to 1.13
- minor spec file tweaks for fc5

* Wed Apr 20 2005 Japheth Cleaver <cleaver@rohan.sdsu.edu> 1.12-1
- Update to 1.12
- Modify maildir script to use ash instead of sh for smaller runtime

* Tue Aug 3 2004 Japheth Cleaver <cleaver@rohan.sdsu.edu> 1.11-3
- Minor specfile tweaks
- URL update

* Tue Feb 24 2004 JC Cleaver <cleaver@rohan.sdsu.edu>
- Build on Fedora Core 1
- Errno bugfix patch

* Tue Jul 01 2003 L Budney <lbudney@pobox.com>
- Minor bug fix to sources

* Tue Jun 03 2003 L Budney <lbudney@pobox.com>
- Update for 1.10

* Mon Nov 04 2002 MJ Pomraning <mjp@securepipe.com>
- Update for 1.9

* Mon Sep 24 2001 MJ Pomraning <mjp@securepipe.com>
- Update 1.2 -> 1.8 (nonroot build)

* Tue May 09 2000 MJ Pomraning <mjp@securepipe.com>
- first cut at an RPM package
